import { expose } from 'threads';
import { generateTypings, writeFile, removeFile } from './utils.js';

/**
 * @module generate
 */
expose(async function generate(path, content, options = {}) {
  const typings = generateTypings(content, options.banner, options.eol);
  if (typings) {
    return writeFile(path, typings);
  } else {
    return removeFile(path);
  }
});
